<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context=".maintenance.CreateWorkOrderActivity">

        <include
            layout="@layout/layout_activity_title"
            app:title='@{"发起新工单"}' />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="12dp"
            android:background="@drawable/card_bg"
            android:orientation="vertical"
            android:padding="12dp">

            <TextView
                style="@style/text_title_2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:letterSpacing="0.1"
                android:text="* 车牌" />

            <EditText
                android:id="@+id/create_work_car_no"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:gravity="center|start"
                android:paddingStart="16dp"
                android:textSize="16sp"
                android:inputType="number"

                android:hint="输入车牌开始检索"
                android:layout_marginTop="8dp"
                android:background="@drawable/bg_stroke_blue_1"
           />

            <TextView
                style="@style/text_title_2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:letterSpacing="0.1"
                android:text="* 工单类型" />

            <Spinner
                android:id="@+id/order_create_type"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="8dp"
                android:entries="@array/work_type"
                android:background="@drawable/bg_select_grey"
                android:paddingStart="12dp" />

            <TextView
                style="@style/text_title_2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:letterSpacing="0.1"
                android:text="* 执行站点" />

            <Spinner
                android:id="@+id/order_create_site"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="8dp"
                android:paddingStart="12dp"
                android:entries="@array/zxzd"
                android:background="@drawable/bg_select_grey" />


        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1" />

        <Button
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_margin="16dp"
            android:background="@drawable/bg_button_blue"
            android:letterSpacing="0.3"
            android:text="生成工单"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:onClick="generateWorkOrder"
            android:textStyle="bold" />

    </LinearLayout>
</layout>